> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/unregister-dslicense.md).

# Unregister-DSLicense

Unregister-DSLicense rimuove una licenza o un pacchetto di Devolutions Server, eliminando l'intero pacchetto quando i valori OSC differiscono.

### Sinossi

Annullare la registrazione di una licenza o di un pacchetto di licenze

### Sintassi

#### \_\_AllParameterSets

```
Unregister-DSLicense -InputObject <PSLicenseInfo> [-AsLegacyResponse] [-WhatIf] [-Confirm]
 [<CommonParameters>]
```

### Descrizione

Annullare la registrazione di una licenza o di un pacchetto di licenze. Se il valore OSC differisce da quello della licenza, l'intero pacchetto verrà eliminato.

### Esempi

```powershell
PS C:\> $licResponse = Get-DSLicence;
        $licRespones | Where -Property Status -eq Expired | Unregister-DSLicense
```

Rimuovere tutte le licenze scadute

### Parametri

#### -AsLegacyResponse

Nelle versioni precedenti alla 2024.2, molti cmdlet DS restituivano un oggetto ServerResponse. L'attivazione di questo switch di retrocompatibilità consente agli script sviluppati per le versioni precedenti di funzionare correttamente.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Confirm

Richiede una conferma prima di eseguire il cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Licenza da eliminare ottenuta da Get-DSLicense

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSLicenseInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Mostra cosa accadrebbe se il cmdlet venisse eseguito. Il cmdlet non viene eseguito.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

### Note

Per maggiori informazioni, digiti "Get-Help Unregister-DSLicense -detailed". Per informazioni tecniche, digiti "Get-Help Unregister-DSLicense -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/unregister-dslicense.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
